import { __require as e } from "../../../_virtual/_rolldown/runtime.mjs";
import { toEnumValue as t } from "../functions/utils/enum.utils.mjs";
//#region libs/shared/common/src/constants/vite.constants.ts
var n = /* @__PURE__ */ function(e) {
	return e.DEVELOPMENT = "development", e.PLAYGROUND = "playground", e.PRODUCTION = "production", e.STAGING = "staging", e;
}({}), r = {
	[n.DEVELOPMENT]: [
		"localhost",
		"192.",
		"127."
	],
	[n.PLAYGROUND]: ["playground"],
	[n.STAGING]: ["working", "staging"]
}, i = typeof process < "u" && process?.release?.name === "node", a = typeof process < "u" && process.versions != null && process.versions.node != null, o = typeof window < "u" && window?.location?.protocol === "chrome-extension:";
function s(e, t) {
	return t.some((t) => e.includes(t));
}
var c = () => (e("dotenv").config({ path: "DOTENV_OVERRIDE" in process.env ? process.env.DOTENV_OVERRIDE : void 0 }), process.env.DEPLOYMENT_MODE?.startsWith("production") ? n.PRODUCTION : t(n, process.env.DEPLOYMENT_MODE) || n.DEVELOPMENT), l = (() => {
	if (!i && typeof window > "u") return;
	if (i) return c();
	if (window?.location?.protocol === "chrome-extension:") return t(n, WALLET_DEPLOYMENT_MODE) || n.STAGING;
	let e = window?.location?.host;
	return console.log("url", e), e ? s(e, r[n.DEVELOPMENT]) ? n.DEVELOPMENT : s(e, r[n.PLAYGROUND]) ? n.PLAYGROUND : s(e, r[n.STAGING]) ? n.STAGING : (console.log("returning production"), n.PRODUCTION) : n.PRODUCTION;
})(), u = l === n.DEVELOPMENT, d = l === n.PLAYGROUND, f = l === n.STAGING, p = f || u || d;
console.log("navigator", navigator), console.log("navigator.product", navigator.product);
var m = typeof navigator < "u" && navigator.product === "ReactNative";
console.log("isReactNative", m);
var h = p || i && l === n.PRODUCTION;
//#endregion
export { n as DEPLOYMENT_MODE, l as deploymentMode, u as isDevelopment, o as isExtension, a as isNode, h as isNotClientProduction, p as isNotProduction, d as isPlayground, m as isReactNative, f as isStaging };
